## magnum 10.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Despite above warning added by global sync process, please use
# ascii betical order.

Babel!=2.4.0,>=2.3.4 # BSD
PyYAML>=3.12 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
WSME>=0.8.0 # MIT
WebOb>=1.7.1 # MIT
alembic>=0.8.10 # MIT
cliff!=2.9.0,>=2.8.0 # Apache-2.0
decorator>=3.4.0 # BSD
docker>=2.4.2 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
iso8601>=0.1.11 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
kubernetes>=5.0.0 # Apache-2.0
marathon!=0.9.1,>=0.8.6 # MIT
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-cinderclient>=2.2.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-octaviaclient>=1.6.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
cryptography>=2.1 # BSD/Apache-2.0
Werkzeug>=0.9 # BSD License

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
magnum (10.1.0-0ubuntu1) focal; urgency=medium

  [ Corey bryant ]
  * d/watch: Align watch file with stable/victoria branch.

  [ Felipe Reyes ]
  * New stable point release for OpenStack Ussuri (LP: #2009966).
  * d/p/mysql8-support.patch: Dropped. Fixed in stable point release.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed in stable
    point release by https://review.opendev.org/c/openstack/magnum/+/728010.

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 20 Mar 2023 10:18:27 -0300

magnum (10.0.0-0ubuntu0.20.04.2) focal; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/p/mysql8-support.patch: Picked from upstream stable/ussuri review
    https://review.opendev.org/c/openstack/magnum/+/781510 for mysql 8
    support (LP: #1915734).
  * d/rules: Add OS_STDOUT_CAPTURE/OS_STDERR_CAPTURE to test execution
    inline with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 26 Apr 2021 14:13:36 +0000

magnum (10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728010. This fixes service failures
    with Python 3.8 (LP: #1863021).

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 12:31:17 -0400

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools (>= 24.0.0),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools (>= 24.0.0),
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-bashate (>= 0.5.1),
 python3-cinderclient (>= 1:2.2.0),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-doc8 (>= 0.6.0),
 python3-docker (>= 2.4.2),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kubernetes (>= 5.0.0),
 python3-marathon (>= 0.8.6),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.6.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-pecan (>= 1.0.0),
 python3-pep8,
 python3-pycadf (>= 1.1.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-taskflow (>= 2.16.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.12),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
Homepage: https://github.com/openstack/magnum
Testsuite: autopkgtest-pkg-python

Package: magnum-api
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cinderclient (>= 1:2.2.0),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 2.4.2),
 python3-eventlet (>= 0.18.2),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kubernetes (>= 5.0.0),
 python3-marathon (>= 0.8.6),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.6.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-setuptools (>= 24.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1:1.7.1),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - Python 3 library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python 3 code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_clean:
	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.config
	pkgos-merge-templates magnum-api magnum endpoint
	pkgos-merge-templates magnum-common magnum db rabbit ksat

override_dh_install:
	OS_STDOUT_CAPTURE=1 OS_STDERR_CAPTURE=1 pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-magnum/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	PYTHONPATH=$(CURDIR)/debian/python3-magnum/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
		--namespace magnum.conf \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python3/dist-packages/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lib/magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0

	PYTHONPATH=$(CURDIR)/debian/python3-magnum/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/policy.json \
		--format json \
		--namespace magnum

	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/magnum/ magnum-(10\.\d.*)\.tar\.gz

## magnum 11.0.0~b2~git2020073106.e2135ac1

=== debian/changelog ===
magnum (11.0.0~b2~git2020073106.e2135ac1-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 31 Jul 2020 06:27:17 +0000

magnum (11.0.0~b1~git2020070209.b0bcd319-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 09:35:16 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
+ openstack-pkg-tools,
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
@@ -16,13 +16,11 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools (>= 24.0.0),
- python3-sphinx (>= 1.8.0),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- bandit,
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
- python3-bandit (>= 1.1.0),
  python3-barbicanclient (>= 4.5.2),
  python3-bashate (>= 0.5.1),
  python3-cinderclient (>= 1:2.2.0),
@@ -35,7 +33,7 @@
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
  python3-glanceclient (>= 1:2.8.0),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-heatclient (>= 1.10.0),
  python3-iso8601 (>= 0.1.11),
  python3-jsonpatch (>= 1.16),
@@ -49,7 +47,7 @@
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-octaviaclient (>= 1.6.0),
- python3-openstackdocstheme (>= 1.20.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -72,7 +70,7 @@
  python3-pecan (>= 1.0.0),
  python3-pep8,
  python3-pycadf (>= 1.1.0),
- python3-reno (>= 2.5.0),
+ python3-pygments (>= 2.2.0),
  python3-requests (>= 2.14.2),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
@@ -90,9 +88,9 @@
  python3-yaml (>= 3.12),
  subunit,
  testrepository,
-Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
 Homepage: https://github.com/openstack/magnum
 Testsuite: autopkgtest-pkg-python

## magnum 11.0.0

=== debian/changelog ===
magnum (11.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Track 11.x series and get tarballs from opendev.org.

  [ Corey Bryant ]
  * d/watch: Switch to https.
  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:17:18 -0400

magnum (11.0.0~b3~git2020091407.9b5010bd-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 07:13:51 +0000

=== debian/control ===
--- 
+++ 
@@ -89,8 +89,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
 Homepage: https://github.com/openstack/magnum
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=magnum
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_clean:
 	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
@@ -27,14 +29,15 @@
 	pkgos-merge-templates magnum-common magnum db rabbit ksat
 
 override_dh_install:
-	OS_STDOUT_CAPTURE=1 OS_STDERR_CAPTURE=1 pkgos-dh_auto_install --no-py2
+	pkgos-dh_auto_install --no-py2
 	rm -rf $(CURDIR)/debian/python3-magnum/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test --no-py2
 endif
 
-	dh_install --fail-missing
+	dh_install
+	dh_missing --fail-missing
 	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
 	PYTHONPATH=$(CURDIR)/debian/python3-magnum/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/magnum magnum-(11\.\d.*)\.tar\.gz

## magnum 11.0.0+git2021012507.f2aae883

=== debian/changelog ===
magnum (11.0.0+git2021012507.f2aae883-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 10:43:42 +0000

magnum (11.0.0+git2020121014.dfc083d9-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 14:05:46 -0500

=== debian/control ===
--- 
+++ 
@@ -14,80 +14,81 @@
  python-pbr (>= 2.0.0),
  python-setuptools (>= 24.0.0),
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 5.5.0),
  python3-setuptools (>= 24.0.0),
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python3-alembic (>= 0.8.10),
+ python3-alembic (>= 0.9.6),
  python3-babel (>= 2.3.4),
- python3-barbicanclient (>= 4.5.2),
- python3-bashate (>= 0.5.1),
- python3-cinderclient (>= 1:2.2.0),
+ python3-barbicanclient (>= 5.0.0),
+ python3-bashate (>= 0.6.0),
+ python3-cinderclient (>= 1:7.1.0),
  python3-cliff (>= 2.8.0),
- python3-coverage (>= 4.0),
- python3-cryptography (>= 2.1),
+ python3-coverage (>= 5.1),
+ python3-cryptography (>= 2.1.4),
  python3-decorator (>= 3.4.0),
- python3-doc8 (>= 0.6.0),
- python3-docker (>= 2.4.2),
- python3-eventlet (>= 0.18.2),
+ python3-doc8 (>= 0.8.0),
+ python3-docker (>= 4.1.0),
+ python3-eventlet (>= 0.28.0),
  python3-fixtures (>= 3.0.0),
- python3-glanceclient (>= 1:2.8.0),
+ python3-glanceclient (>= 1:3.2.0),
  python3-hacking (>= 1.1.0),
- python3-heatclient (>= 1.10.0),
+ python3-heatclient (>= 2.2.0),
  python3-iso8601 (>= 0.1.11),
  python3-jsonpatch (>= 1.16),
- python3-keystoneauth1 (>= 3.4.0),
- python3-keystoneclient (>= 1:3.8.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-kubernetes (>= 5.0.0),
+ python3-keystoneauth1 (>= 3.14.0),
+ python3-keystoneclient (>= 1:3.20.0),
+ python3-keystonemiddleware (>= 9.0.0),
+ python3-kubernetes (>= 12.0.0),
  python3-marathon (>= 0.8.6),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-neutronclient (>= 1:6.7.0),
- python3-novaclient (>= 2:9.1.0),
- python3-octaviaclient (>= 1.6.0),
+ python3-neutronclient (>= 1:7.2.0),
+ python3-novaclient (>= 2:17.2.0),
+ python3-octaviaclient (>= 2.1.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
- python3-oslo.reports (>= 1.18.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.upgradecheck (>= 0.1.1),
- python3-oslo.utils (>= 3.33.0),
- python3-oslo.versionedobjects (>= 1.31.2),
- python3-oslotest (>= 1:3.2.0),
- python3-osprofiler (>= 1.4.0),
- python3-pecan (>= 1.0.0),
+ python3-oslo.concurrency (>= 4.1.0),
+ python3-oslo.config (>= 1:8.1.0),
+ python3-oslo.context (>= 1:3.1.0),
+ python3-oslo.db (>= 8.2.0),
+ python3-oslo.i18n (>= 5.0.0),
+ python3-oslo.log (>= 4.2.0),
+ python3-oslo.messaging (>= 12.2.0),
+ python3-oslo.middleware (>= 4.1.0),
+ python3-oslo.policy (>= 3.2.0),
+ python3-oslo.reports (>= 2.1.0),
+ python3-oslo.serialization (>= 3.2.0),
+ python3-oslo.service (>= 2.2.0),
+ python3-oslo.upgradecheck (>= 1.1.0),
+ python3-oslo.utils (>= 4.2.0),
+ python3-oslo.versionedobjects (>= 2.1.0),
+ python3-oslotest (>= 1:4.4.1),
+ python3-osprofiler (>= 3.4.0),
+ python3-pecan (>= 1.3.3),
  python3-pep8,
  python3-pycadf (>= 1.1.0),
- python3-pygments (>= 2.2.0),
- python3-requests (>= 2.14.2),
+ python3-pygments (>= 2.7.1),
+ python3-requests (>= 2.20.1),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
- python3-stestr (>= 2.0.0),
- python3-stevedore (>= 1:1.20.0),
- python3-subunit (>= 1.0.0),
+ python3-sqlalchemy (>= 1.2.0),
+ python3-stestr (>= 3.0.1),
+ python3-stevedore (>= 1:3.3.0),
+ python3-subunit (>= 1.4.0),
  python3-taskflow (>= 2.16.0),
- python3-testrepository (>= 0.0.18),
+ python3-testrepository (>= 0.0.20),
  python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
- python3-tz (>= 2013.6),
- python3-webob (>= 1:1.7.1),
+ python3-testtools (>= 2.4.0),
+ python3-tz (>= 2020.4),
+ python3-webob (>= 1:1.8.1),
  python3-werkzeug (>= 0.9),
  python3-wsme (>= 0.8.0),
- python3-yaml (>= 3.12),
+ python3-yaml (>= 3.13),
  subunit,
  testrepository,
+ vim,
 Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
@@ -158,57 +159,57 @@
 Architecture: all
 Depends:
  alembic (>= 0.8.10),
- python3-alembic (>= 0.8.10),
+ python3-alembic (>= 0.9.6),
  python3-babel (>= 2.3.4),
- python3-barbicanclient (>= 4.5.2),
- python3-cinderclient (>= 1:2.2.0),
+ python3-barbicanclient (>= 5.0.0),
+ python3-cinderclient (>= 1:7.1.0),
  python3-cliff (>= 2.8.0),
- python3-cryptography (>= 2.1),
+ python3-cryptography (>= 2.1.4),
  python3-decorator (>= 3.4.0),
- python3-docker (>= 2.4.2),
- python3-eventlet (>= 0.18.2),
- python3-glanceclient (>= 1:2.8.0),
- python3-heatclient (>= 1.10.0),
+ python3-docker (>= 4.1.0),
+ python3-eventlet (>= 0.28.0),
+ python3-glanceclient (>= 1:3.2.0),
+ python3-heatclient (>= 2.2.0),
  python3-iso8601 (>= 0.1.11),
  python3-jsonpatch (>= 1.16),
- python3-keystoneauth1 (>= 3.4.0),
- python3-keystoneclient (>= 1:3.8.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-kubernetes (>= 5.0.0),
+ python3-keystoneauth1 (>= 3.14.0),
+ python3-keystoneclient (>= 1:3.20.0),
+ python3-keystonemiddleware (>= 9.0.0),
+ python3-kubernetes (>= 12.0.0),
  python3-marathon (>= 0.8.6),
  python3-netaddr (>= 0.7.18),
- python3-neutronclient (>= 1:6.7.0),
- python3-novaclient (>= 2:9.1.0),
- python3-octaviaclient (>= 1.6.0),
+ python3-neutronclient (>= 1:7.2.0),
+ python3-novaclient (>= 2:17.2.0),
+ python3-octaviaclient (>= 2.1.0),
  python3-openstackclient,
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
- python3-oslo.reports (>= 1.18.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.upgradecheck (>= 0.1.1),
- python3-oslo.utils (>= 3.33.0),
- python3-oslo.versionedobjects (>= 1.31.2),
- python3-pbr (>= 2.0.0),
- python3-pecan (>= 1.0.0),
+ python3-oslo.concurrency (>= 4.1.0),
+ python3-oslo.config (>= 1:8.1.0),
+ python3-oslo.context (>= 1:3.1.0),
+ python3-oslo.db (>= 8.2.0),
+ python3-oslo.i18n (>= 5.0.0),
+ python3-oslo.log (>= 4.2.0),
+ python3-oslo.messaging (>= 12.2.0),
+ python3-oslo.middleware (>= 4.1.0),
+ python3-oslo.policy (>= 3.2.0),
+ python3-oslo.reports (>= 2.1.0),
+ python3-oslo.serialization (>= 3.2.0),
+ python3-oslo.service (>= 2.2.0),
+ python3-oslo.upgradecheck (>= 1.1.0),
+ python3-oslo.utils (>= 4.2.0),
+ python3-oslo.versionedobjects (>= 2.1.0),
+ python3-pbr (>= 5.5.0),
+ python3-pecan (>= 1.3.3),
  python3-pycadf (>= 1.1.0),
- python3-requests (>= 2.14.2),
+ python3-requests (>= 2.20.1),
  python3-setuptools (>= 24.0.0),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
- python3-stevedore (>= 1:1.20.0),
+ python3-sqlalchemy (>= 1.2.0),
+ python3-stevedore (>= 1:3.3.0),
  python3-taskflow (>= 2.16.0),
- python3-webob (>= 1:1.7.1),
+ python3-webob (>= 1:1.8.1),
  python3-werkzeug (>= 0.9),
  python3-wsme (>= 0.8.0),
- python3-yaml (>= 3.12),
+ python3-yaml (>= 3.13),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack containers as a service - Python 3 library

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=magnum
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make

## magnum 11.0.0+git2021020817.61cb3452

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Despite above warning added by global sync process, please use
# ascii betical order.

Babel!=2.4.0,>=2.3.4 # BSD
PyYAML>=3.13 # MIT
SQLAlchemy>=1.2.0 # MIT
WSME>=0.8.0 # MIT
WebOb>=1.8.1 # MIT
alembic>=0.9.6 # MIT
cliff!=2.9.0,>=2.8.0 # Apache-2.0
decorator>=3.4.0 # BSD
docker>=4.3.0 # Apache-2.0
eventlet>=0.28.0 # MIT
iso8601>=0.1.11 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.14.0 # Apache-2.0
keystonemiddleware>=9.0.0 # Apache-2.0
kubernetes>=12.0.0 # Apache-2.0
marathon!=0.9.1,>=0.8.6 # MIT
netaddr>=0.7.18 # BSD
oslo.concurrency>=4.1.0 # Apache-2.0
oslo.config>=8.1.0 # Apache-2.0
oslo.context>=3.1.0 # Apache-2.0
oslo.db>=8.2.0 # Apache-2.0
oslo.i18n>=5.0.0 # Apache-2.0
oslo.log>=4.2.0 # Apache-2.0
oslo.messaging>=12.2.0 # Apache-2.0
oslo.middleware>=4.1.0 # Apache-2.0
oslo.policy>=3.2.0 # Apache-2.0
oslo.reports>=2.1.0 # Apache-2.0
oslo.serialization>=3.2.0 # Apache-2.0
oslo.service>=2.2.0 # Apache-2.0
oslo.upgradecheck>=1.1.0 # Apache-2.0
oslo.utils>=4.2.0 # Apache-2.0
oslo.versionedobjects>=2.1.0 # Apache-2.0
pbr>=5.5.0 # Apache-2.0
pecan>=1.3.3 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-barbicanclient>=5.0.0 # Apache-2.0
python-cinderclient>=7.1.0 # Apache-2.0
python-glanceclient>=3.2.0 # Apache-2.0
python-heatclient>=2.2.0 # Apache-2.0
python-neutronclient>=7.2.0 # Apache-2.0
python-novaclient>=17.2.0 # Apache-2.0
python-keystoneclient>=3.20.0 # Apache-2.0
python-octaviaclient>=2.1.0 # Apache-2.0
requests>=2.20.1 # Apache-2.0
setuptools!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=30.0.0 # PSF/ZPL
six>=1.10.0 # MIT
stevedore>=3.3.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
cryptography>=2.1.4 # BSD/Apache-2.0
Werkzeug>=0.9 # BSD License

=== debian/changelog ===
magnum (11.0.0+git2021020817.61cb3452-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Drop python3-coverage BD.
  * d/rules: Add OS_STDOUT_CAPTURE/OS_STDERR_CAPTURE to test execution
    inline with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Feb 2021 17:07:51 -0500

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
  python3-bashate (>= 0.6.0),
  python3-cinderclient (>= 1:7.1.0),
  python3-cliff (>= 2.8.0),
- python3-coverage (>= 5.1),
  python3-cryptography (>= 2.1.4),
  python3-decorator (>= 3.4.0),
  python3-doc8 (>= 0.8.0),

## magnum 11.1.1

=== debian/changelog ===
magnum (11.1.1-1~bpo10+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Tune magnum-api-uwsgi.ini for performance.
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-victoria.infomaniak.ch>  Mon, 06 Sep 2021 13:58:35 +0000

magnum (11.0.0-1) unstable; urgency=medium

  * Add --concurrency 2 when running tests.
  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 17:02:08 +0200

magnum (11.0.0~rc1-1) experimental; urgency=medium

  * Add missing debian/magnum-common.logrotate.
  * New upstream release.
  * Fixed build-depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 11:43:42 +0200

magnum (10.0.0-2) unstable; urgency=medium

  * Make the /healthcheck not requiring auth by default.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2020 14:47:40 +0200

magnum (10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 15:38:40 +0200

magnum (10.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 23:11:33 +0200

magnum (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed add-wsgi-script-to-magnum.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 18:08:27 +0200

## magnum 11.2.1

=== debian/changelog ===
magnum (11.2.1-0ubuntu1~cloud0) focal-victoria; urgency=medium

  [ Corey Bryant ]
  * d/watch: Align with watch file from stable/wallaby branch.

  [ Felipe Reyes ]
  * New stable point release for OpenStack Victoria (LP: #2009966).
  * d/p/mysql8-support.patch: Dropped. Fixed in new stable point release

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 20 Mar 2023 10:13:03 -0300

magnum (11.0.0-0ubuntu1.1~cloud0) focal-victoria; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 28 Apr 2021 17:33:53 +0000

magnum (11.0.0-0ubuntu1.1) groovy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/victoria branch.

  [ Chris MacNaughton ]
  * d/p/mysql8-support.patch: Picked from upstream stable/victoria
    review https://review.opendev.org/c/openstack/magnum/+/777910 for
    mysql 8 support (LP: #1915734).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 28 Apr 2021 07:26:07 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/magnum/ magnum-(11\.\d.*)\.tar\.gz

## magnum 12.0.0~rc1

=== debian/changelog ===
magnum (12.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 12.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 02 Apr 2021 08:27:14 +0000

## magnum 12.0.0

=== debian/changelog ===
magnum (12.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 14:46:05 +0000

=== debian/control ===
--- 
+++ 
@@ -57,11 +57,11 @@
  python3-oslo.log (>= 4.2.0),
  python3-oslo.messaging (>= 12.2.0),
  python3-oslo.middleware (>= 4.1.0),
- python3-oslo.policy (>= 3.2.0),
+ python3-oslo.policy (>= 3.6.0),
  python3-oslo.reports (>= 2.1.0),
  python3-oslo.serialization (>= 3.2.0),
  python3-oslo.service (>= 2.2.0),
- python3-oslo.upgradecheck (>= 1.1.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils (>= 4.2.0),
  python3-oslo.versionedobjects (>= 2.1.0),
  python3-oslotest (>= 1:4.4.1),
@@ -189,11 +189,11 @@
  python3-oslo.log (>= 4.2.0),
  python3-oslo.messaging (>= 12.2.0),
  python3-oslo.middleware (>= 4.1.0),
- python3-oslo.policy (>= 3.2.0),
+ python3-oslo.policy (>= 3.6.0),
  python3-oslo.reports (>= 2.1.0),
  python3-oslo.serialization (>= 3.2.0),
  python3-oslo.service (>= 2.2.0),
- python3-oslo.upgradecheck (>= 1.1.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils (>= 4.2.0),
  python3-oslo.versionedobjects (>= 2.1.0),
  python3-pbr (>= 5.5.0),

## magnum 12.0.0+git2021061112.042d2ad1

=== debian/changelog ===
magnum (12.0.0+git2021061112.042d2ad1-0ubuntu2) impish; urgency=medium

  * d/control: Drop python-pbr, python2 build depends.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 23 Jun 2021 08:04:26 +0000

magnum (12.0.0+git2021061112.042d2ad1-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:38 +0000

## magnum 12.0.0+git2021072116.d8cc8828

=== debian/changelog ===
magnum (12.0.0+git2021072116.d8cc8828-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:59:26 -0400

## magnum 12.1.1

=== requirements.txt ===
--- 
+++ 
@@ -30,11 +30,11 @@
 oslo.log>=4.2.0 # Apache-2.0
 oslo.messaging>=12.2.0 # Apache-2.0
 oslo.middleware>=4.1.0 # Apache-2.0
-oslo.policy>=3.2.0 # Apache-2.0
+oslo.policy>=3.6.0 # Apache-2.0
 oslo.reports>=2.1.0 # Apache-2.0
 oslo.serialization>=3.2.0 # Apache-2.0
 oslo.service>=2.2.0 # Apache-2.0
-oslo.upgradecheck>=1.1.0 # Apache-2.0
+oslo.upgradecheck>=1.3.0 # Apache-2.0
 oslo.utils>=4.2.0 # Apache-2.0
 oslo.versionedobjects>=2.1.0 # Apache-2.0
 pbr>=5.5.0 # Apache-2.0

=== debian/changelog ===
magnum (12.1.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 08:37:33 +0000

magnum (12.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:02:07 +0200

magnum (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 23:25:31 +0200

magnum (12.0.0~rc1-1) experimental; urgency=medium

  * Tune magnum-api-uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 19:24:24 +0100

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-babel,
 python3-barbicanclient,
 python3-cinderclient,
 python3-cliff,
 python3-coverage,
 python3-cryptography,
 python3-decorator,
 python3-doc8,
 python3-docker (>= 4.3.0),
 python3-eventlet (>= 0.28.0),
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-heatclient,
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kubernetes (>= 12.0.0),
 python3-marathon,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pygments,
 python3-pecan,
 python3-pep8,
 python3-pycadf,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore (>= 3.3.0),
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-webob,
 python3-werkzeug,
 python3-wsme,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/magnum
Vcs-Git: https://salsa.debian.org/openstack-team/services/magnum.git
Homepage: https://github.com/openstack/magnum

Package: magnum-api
Architecture: all
Depends:
 adduser,
 debconf,
 magnum-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic,
 python3-babel,
 python3-barbicanclient,
 python3-cinderclient,
 python3-cliff,
 python3-cryptography,
 python3-decorator,
 python3-docker (>= 4.3.0),
 python3-eventlet (>= 0.28.0),
 python3-glanceclient,
 python3-heatclient,
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kubernetes (>= 12.0.0),
 python3-marathon,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-pecan,
 python3-pycadf,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 3.3.0),
 python3-taskflow,
 python3-webob,
 python3-werkzeug,
 python3-wsme,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-magnum,
Description: OpenStack containers as a service - Python library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python code.

## magnum 13.0.0

=== debian/changelog ===
magnum (13.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 13.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 07:32:33 +0000

magnum (12.0.0+git2021091317.6951ac4f-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Sep 2021 17:02:07 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/magnum/ magnum-(13\.\d.*)\.tar\.gz
